di_packages_allocator Struct Reference
Di_packages

Packages file - Allocator. More...

`#include <packages.h>`

## Data Fields

di_mem_chunk * | package_mem_chunk
di_mem_chunk * | package_dependency_mem_chunk
di_mem_chunk * | slist_node_mem_chunk

## Detailed Description

Packages file - Allocator.

## Field Documentation

## package_dependency_mem_chunk

di_mem_chunk* package_dependency_mem_chunk

Referenced by di_packages_allocator_free(), and internal_di_packages_allocator_alloc().

## package_mem_chunk

di_mem_chunk* package_mem_chunk

Referenced by di_packages_allocator_alloc(), and di_packages_allocator_free().

## slist_node_mem_chunk

di_mem_chunk* slist_node_mem_chunk

Referenced by di_packages_allocator_free(), di_packages_append_package(), and internal_di_packages_allocator_alloc().